Subject: Re: [Tools-discuss] Next steps: chat service trials

From: "Jim Fenton" <[email-masked]>
Date: Fri, 11 Dec 2020 12:12:12 -0800

On 11 Dec 2020, at 11:17, Robert Sparks wrote:

> We are not aware of anyone trying to use the zulip or matrix servers 
> for ietf work outside the main meeting.
>
> If you've used the services, please take a few minutes to provide 
> feedback at [email-masked].

I have used them (both Matrix and Zulip, which my spell checker keeps 
changing to Tulip) a little. One problem I have is that they have 
different interaction models, and have different terminology for 
different things (like “streams” on Zulip). One instance of this is 
that when I first got myself set up on Zulip, I accidentally set up an 
“organization” for myself, which was a lonely place! I hadn’t 
understood whether organizations federated in a way analogous to Jabber 
servers or if one had to be part of the IETF organization. It didn’t 
cost anything and didn’t waste much time, so no problem there.

It might be nice to have a “cheat sheet” or wiki page or something 
to guide people who are familiar with some other mode of interaction 
(such as Jabber) on how that translates into this new service.

I have used Jabber for years with a variety of client software but 
continue to be just a little disappointed that some things don’t quite 
work smoothly. As an example, I have tried several times to subscribe to 
presence from Robert Sparks (and vice versa), we both think we’re 
approving everything, and it doesn’t quite happen. The spam problem on 
Jabber has been getting worse as well.

I find Matrix a bit hard to use as well. It seems like the distributed 
services, much as I like them conceptually, take a bit more effort to 
understand. That might be a barrier to entry for some.

-Jim

---

From: "Andrew G. Malis" <[email-masked]>
Date: Sun, 13 Dec 2020 09:59:41 -0500

Robert,

Just one data point regarding Jabber - I've never had any particular
difficulty with Jabber, which I really only use during an IETF meeting. I'm
on MacOS, and I use the Swift client if I need Jabber service outside of
Meetecho, and it works well, at least for me.  If I'm in a Meetecho
meeting, then I just use the Meetecho chat panel instead. My Jabber account
is currently @jabber.hot-chilli.net, but I would be open to switching to an
IETF-based account if those were provided going forward,

Cheers,
Andy

On Fri, Dec 11, 2020 at 2:15 PM Robert Sparks <[email-masked]> wrote:

>
> We have been running trial zulip, matrix, and xmpp services since October.
> See
> <
> https://mailarchive.ietf.org/arch/browse/ietf-announce/?q=%22trial%20chat%22
> >
>
> As noted in those announcements, the issue that we are trying to address
> is the difficulty people have been reporting obtaining jabber services
> and clients. We are hopeful that these trials will help the community
> develop a better sense of whether to focus on improving the experiences
> with xmpp or to pursue other chat solutions. We are also open to the
> possibility that these other solutions may be worth operating in
> addition to improving the experiences from xmpp.
>
> However, usage and feedback so far has not been sufficient to inform
> what services we should run in the future.
>
> We had around 50 local jabber accounts created on xmpp-trial1.ietf.org,
> and around 40 accounts were created on each of the matrix and zulip
> services.
> Few rooms have been created on the matrix service other than those
> bridging to xmpp.
> Few streams were created on the zulip service other than those bridging
> to xmpp and those ingesting a few mailing lists.
>
> We are not aware of anyone trying to use the zulip or matrix servers for
> ietf work outside the main meeting.
>
> Is providing local jabber accounts and a web interface to jabber
> sufficient?
> Are there features that matrix or zulip provide that are truly helpful
> for progressing IETF work? If so, please describe how they are helping.
>
> To collect more feedback, we are planning to extend the trials through
> IETF 110. Please take advantage of these services between now and then
> (at interim meetings for example) and let us know what you find to be
> effective.
>
> If you are interested in using these services more directly for your
> group's day-to-day communication, and are willing to test one or both of
> these services on a primary basis for a while, please coordinate with
> the appropriate leadership and let the tools team know so we can help
> accommodate.  Please consider using these services for ad-hoc,
> design-team meetings, and even interims (again, coordinating with the
> appropriate leadership).
>
> If you have had issues using Jabber in the past, please take some time
> now to work with these new services and describe whether they improve
> your experience.
>
> We need more feedback about these services to develop a sense of what
> will best meet the community's needs going forward. Please engage in
> exploring and discussing them at [email-masked].
>
> While exploring, feel free to use the trial1-feedback room on Matrix and
> the trial1-feedback stream on Zulip.
>
> Thanks again to the volunteers that have been helping configure these
> services and keep them going.
>
> Robert Sparks, Tools Team Chair
>
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce
>

---

From: Vittorio Bertola <[email-masked]>
Date: Mon, 14 Dec 2020 11:15:35 +0100 (CET)

> Il 11/12/2020 20:00 Robert Sparks <[email-masked]> ha scritto:
> 
> Is providing local jabber accounts and a web interface to jabber sufficient?

My feedback is that XMPP is almost dead, at least as an Internet-scale federated service if not as a protocol, while Matrix is currently the open messaging technology that enjoys the strongest momentum, so adopting it would 1) allow people to reuse their existing Matrix clients and accounts, 2) guarantee much better availability of up-to-date client and server software at least for the short-medium term, and 3) promote the adoption of open and federated standards in a very closed, fragmented application niche.

-- 
Vittorio Bertola | Head of Policy & Innovation, Open-Xchange
[email-masked] 
Office @ Via Treviso 12, 10144 Torino, Italy

---

From: Alexandre Petrescu <[email-masked]>
Date: Tue, 15 Dec 2020 16:00:41 +0100

Le 14/12/2020 à 20:38, Robert Sparks a écrit :
> Hi Alex -
> 
> On 12/12/20 9:30 AM, Alexandre Petrescu wrote:
>>
>>
>>
>> Le 11/12/2020 à 20:17, Robert Sparks a écrit :
>>> Hopefully everyone on both the chairs and manycouches list follows 
>>> ietf-announce, but in case not:
>>>
>>> (Discussion should take place on [email-masked])
> Please honor the Reply-To header on these messages (also set on this 
> one) and keep this conversation on [email-masked]
>>
>> I think one can stay home only if s/he had the right tools to meet 
>> online.
>>
>> I can try them.  But what is the zulip or matrix URL that I can click on?
> 
> For convenience:
> 
> https://zulip-trial1.ietf.org, https://matrix-trial1.ietf.org and 
> https://xmpp-trial1.ietf.org

I try to connect to the zulip URL but it does not accept my existing 
IETF datatracker|mailarchive password.  However, it offers a possibility 
to create a new account ("S'inscrire").  Should I create a new account 
for zulip?

(fyi, when I connect to meetecho I use my existing IETF
  datatracker|mailarchive password)

Alex

> 
> Those are detailed more thoroughly in the announcements you can re-read at
> 
> https://mailarchive.ietf.org/arch/browse/ietf-announce/?q="trial chat"
> 
> 
>>
>> This is a good point.  I wonder whether there can be an automated
>> forwarding between lists that have a certain common interest? E.g. when
>> I post here with 'tools' in the Subject line it also gets there, and
>> vice-versa with 'couches'.
> The zulip instance ingests a few mailing lists, but that bridge is not 
> bi-directional. There are different modes of conversation with email and 
> chat - the email reflection of chat would look similar to an email 
> reflection of a jabber room - not a very pleasant way to consume or 
> participate in the chat.
>>
>> Alex
>>
>>>
>>> RjS
>>>
>>>
>>>
>>> -------- Forwarded Message -------- Subject:     Next steps: chat 
>>> service trials Date:     Fri, 11 Dec 2020 13:00:58 -0600 From: Robert 
>>> Sparks <[email-masked]> Reply-To:     tools-discuss 
>>> <[email-masked]> To:     [email-masked]
>>>
>>>
>>>
>>>
>>> We have been running trial zulip, matrix, and xmpp services since 
>>> October. See 
>>> <https://mailarchive.ietf.org/arch/browse/ietf-announce/?q=%22trial%20chat%22> 
>>>
>>>
>>>
>>>
>> As noted in those announcements, the issue that we are trying to
>>> address is the difficulty people have been reporting obtaining
>>> jabber services and clients. We are hopeful that these trials will
>>> help the community develop a better sense of whether to focus on
>>> improving the experiences with xmpp or to pursue other chat
>>> solutions. We are also open to the possibility that these other
>>> solutions may be worth operating in addition to improving the
>>> experiences from xmpp.
>>>
>>> We had around 50 local jabber accounts created on 
>>> xmpp-trial1.ietf.org, and around 40 accounts were created on each of 
>>> the matrix and zulip services. Few rooms have been created on the 
>>> matrix service other than those bridging to xmpp. Few streams were 
>>> created on the zulip service other than those bridging to xmpp and 
>>> those ingesting a few mailing lists.
>>>
>>> sufficient? Are there features that matrix or zulip provide that are 
>>> truly helpful for progressing IETF work? If so, please describe how 
>>> they are helping.
>>>
>>> To collect more feedback, we are planning to extend the trials 
>>> through IETF 110. Please take advantage of these services between
>>> now and then (at interim meetings for example) and let us know what
>>> you find to be effective.
>>>
>>> group's day-to-day communication, and are willing to test one or both
>>> of these services on a primary basis for a while, please coordinate
>>> with the appropriate leadership and let the tools team know so we can
>>> help accommodate.  Please consider using these services for ad-hoc,
>>> If you have had issues using Jabber in the past, please take some 
>>> time now to work with these new services and describe whether they 
>>> improve your experience.
>>>
>>> We need more feedback about these services to develop a sense of
>>> what will best meet the community's needs going forward. Please
>>> engage in exploring and discussing them at [email-masked].
>>>
>>> While exploring, feel free to use the trial1-feedback room on Matrix 
>>> and the trial1-feedback stream on Zulip.
>>>
>>> Thanks again to the volunteers that have been helping configure
>>> these services and keep them going.
>>>
>>> _______________________________________________ IETF-Announce
>>> mailing list [email-masked] 
>>> _______________________________________________ Manycouches mailing 
>>> list [email-masked] 
>>> https://www.ietf.org/mailman/listinfo/manycouches
>>>
>>
> 
> Manycouches mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manycouches

---

From: Robert Sparks <[email-masked]>
Date: Tue, 15 Dec 2020 09:05:31 -0600

On 12/15/20 9:00 AM, Alexandre Petrescu wrote:
>>>> We are not aware of anyone trying to use the zulip or matrix 
>>>> servers for ietf work outside the main meeting.
>>>
> IETF datatracker|mailarchive password.  However, it offers a 
> possibility to create a new account ("S'inscrire"). Should I create a 
> new account for zulip?
Yes. None of the trial services currently attempt to reuse the 
datatracker credentials.
>> The zulip instance ingests a few mailing lists, but that bridge is 
>> not bi-directional. There are different modes of conversation with 
>> email and chat - the email reflection of chat would look similar to 
>> an email reflection of a jabber room - not a very pleasant way to 
>> consume or participate in the chat.
>>>
>>> Alex
>>>
>>>>
>>>> RjS
>>>>
>>>>
>>>>
>>>> service trials Date:     Fri, 11 Dec 2020 13:00:58 -0600 From: 
>>>> Robert Sparks <[email-masked]> Reply-To:     tools-discuss 
>>>> However, usage and feedback so far has not been sufficient to 
>>>> inform what services we should run in the future.
>>>>
>>>> xmpp-trial1.ietf.org, and around 40 accounts were created on each 
>>>> of the matrix and zulip services. Few rooms have been created on 
>>>> the matrix service other than those bridging to xmpp. Few streams 
>>>> were created on the zulip service other than those bridging to xmpp 
>>>> and those ingesting a few mailing lists.
>>>>
>>>> We are not aware of anyone trying to use the zulip or matrix 
>>>> servers for ietf work outside the main meeting.
>>>>
>>>> sufficient? Are there features that matrix or zulip provide that 
>>>> are truly helpful for progressing IETF work? If so, please describe 
>>>> how they are helping.
>>>>
>>>> If you are interested in using these services more directly for 
>>>> your group's day-to-day communication, and are willing to test one 
>>>> or both
>>>> While exploring, feel free to use the trial1-feedback room on 
>>>> Matrix and the trial1-feedback stream on Zulip.
>>>>
> ___________________________________________________________
> Tools-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tools-discuss
>
> Please report datatracker.ietf.org and mailarchive.ietf.org
> bugs at http://tools.ietf.org/tools/ietfdb
> or send email to [email-masked]
>
> Please report tools.ietf.org bugs at
> http://tools.ietf.org/tools/issues
> or send email to [email-masked]

---

From: Alexandre Petrescu <[email-masked]>
Date: Tue, 15 Dec 2020 16:27:21 +0100

Le 15/12/2020 à 16:05, Robert Sparks a écrit :
[...]
> Yes. None of the trial services currently attempt to reuse the 

Thanks.  I registered on Zulip and performed the email confirmation and 
connected to zulip.  All that was on my computer that is only on IPv6 
(IPv4 is disabled on the iface).  It is probably the first time I can do 
such a smooth registration on an IPv6-only computer.

I will see for further testing.

Alex

---

From: Alexandre Petrescu <[email-masked]>
Date: Tue, 15 Dec 2020 16:36:05 +0100

> https://xmpp-trial1.ietf.org

Zulip responds when clicked.  Matrix and xmpp dont; are they on IPv6?

(I am on an IPv6-only computer)

Alex

---

From: "John Levine" <[email-masked]>
Date: 15 Dec 2020 17:31:03 -0500

>Zulip responds when clicked.  Matrix and xmpp dont; are they on IPv6?

Apparently not.

$ telnet matrix-trial1.ietf.org 443
Trying 2001:1900:3001:11::22...
telnet: connect to address 2001:1900:3001:11::22: Connection refused
Trying 4.31.198.34...
Connected to matrix-trial1.ietf.org.

$ telnet xmpp-trial1.ietf.org 443
Trying 2001:1900:3001:11::22...
telnet: connect to address 2001:1900:3001:11::22: Connection refused
Trying 4.31.198.34...
Connected to xmpp-trial1.ietf.org.

>(I am on an IPv6-only computer)

Can we not have this religious argument again, please?

R's,
John

---

From: Glen <[email-masked]>
Date: Tue, 15 Dec 2020 20:14:10 -0800

>> (I am on an IPv6-only computer)

Hmph.  That's disappointing.  I've poked this, and made an adjustment 
which seems to have solved this.  The other two trials are now on IPV6 
as well.

> Can we not have this religious argument again, please?

No need (although this made me smile!)   This was a... "non-religious 
problem", and I have fixed it. :-)

Glen